// file: debiased_energy.cc
//


#include "endpointer.h"

float debiased_energy(short int *frame_buffer, int samples_in_frame)
  {
  int counter = 0;
  float x_summed = 0;
  float x_squared_summed = 0;
  float x_average;
  float energy;
  float energy_db;

  while (counter < samples_in_frame)
    {
      x_squared_summed += (*frame_buffer)*(*frame_buffer);
      x_summed += (*frame_buffer);
      counter ++;
      frame_buffer ++;
    }

  x_average = x_summed / samples_in_frame;
  energy = (x_squared_summed / samples_in_frame) - (x_average * x_average);  
  
  energy_db = 10 * log10(energy);
  if (energy_db < 0)
    energy_db = 0;

return(energy_db);

}


