# file: $JEIDA/src/validate/v1.0/src/proc_file.tcl
#
# This procedure handles next-file/ previous-file requests
#

proc proc_file {direction}  {
    global max_files
    global current_file_pos
    global value
    global transcription
    global comments
    global save_flag
    global utterances_in_set
    global speaker_number
    global utterance_number
    global set_number

    # save the current file
    #
    save_file
    
    # incremement the file position pointer the appropriate way
    #
    if {$direction == "next"} {
	incr current_file_pos 1
	if {$current_file_pos > $max_files} {
	    
	    # reset if necessary
	    #
	    set current_file_pos 0
	} 
    } else {
	if {$current_file_pos == 0} {
	    
	    # reset if necessary
	    #
	    set current_file_pos $max_files
	} else {
	    incr current_file_pos -1
	}
    }
    
    # read in the file  
    # 
    read_file
}




