# file: /isip/d00/jeida/src/validate/v1.0/src/delete_last_word.tcl
#
# Richard Duncan
#
# This procedure deletes the last word entered into the transcription
# field
#
proc delete_last_word {} {
    global transcription
    global save_flag
    global label_transcription
    global label_transcription_edited

    set tmp $transcription
    set tmpnum [string last "\}" $tmp]
    incr tmpnum +1
    if {$tmpnum == [string length $tmp]} {
	set num [string last "\{" $tmp] 
	incr num -2
    } else {
	set num [string last " " $tmp]
    }
    set transcription [string range $tmp 0 $num]
    set transcription [string trimright $transcription]

    # set the save flag and astrik
    #
    set save_flag 1
    set label_transcription $label_transcription_edited
}
