


#ifndef __ISIP_MAKE_FILES
#define __ISIP_MAKE_FILES


#define ISIP_PROGRAM_NAME "make_files.exe"
#define DEFAULT_PARAMETER_FILE "endpointer_00_params"
#define DEFAULT_DATA_FILE "endpoints.dat"

#define SAMPLE_SIZE 2     /* 2 bytes */

/* define default behavior */
#define DEFAULT_ENDPOINTER_DATA_NAME "endpoints.dat"
#define DEFAULT_PARAM_FILE_NAME "endpointer_00.params"  
#define DEFAULT_OUTPUT_DIR "./"
#define DEFAULT_BASE_NAME "JEDIA"
#define DEFAULT_PREFIX "bob"
#define DEFAULT_EXTENSION "val"
#define DEFAULT_OUTPUT_FILE_NAME " "
#define DEFAULT_DATA_FILE_STRING " "
#define DEFAULT_AUDIO_FILE_NAME " "


/* define command line identifers */
#define ISIP_OPT_EXT "-ext"         /* extension */
#define ISIP_OPT_BASE "-base"       /* base name */
#define ISIP_OPT_PREFIX "-pre"      /* prefix name */
#define ISIP_OPT_OUTPUTDIR "-out"   /* output directory */
#define ISIP_OPT_PARAM "-param"      /* parameter file */
#define ISIP_OPT_END "-end"         /* endpoints file */
#define ISIP_OPT_HELP "-help"       /* oh god help me! */


/* define scanf and printf formats */
#define SSCANF_FORMAT "%d%*s%*s%f%*s%*s%*s%f%*s"
#define CHANNEL_0_FORMAT "%s%s_%s_%5.5d_0.%s"
#define CHANNEL_1_FORMAT "%s%s_%s_%5.5d_1.%s"


/* function definitions */

extern int_2 get_command_line(int, char**, char*, char*, char*, char*, char*, char*, char*);
extern float_4 get_parameters(char *, FILE *);


#endif






