#!/bin/sh

# file: ~picone/jeida/plot_endpoints/plot_endpoints.sh
#
# The plot_endpoints utility cats a file to xmgr.
#
# 09/17/95 (joe picone): initial version
#

# important definitions
#
PROGRAM_NAME="plot_endpoints";

PLOT_PROGRAM="$JEIDA/src/plot_endpoints/v1.0/src/plot_endpoints.exe";

GR_HOME="/usr/local/src/xmgr/v3.01";
export GR_HOME;

ISIP_HELP_FILE="$JEIDA/src/plot_endpoints/v1.0/src/plot_endpoints.help";
export ISIP_HELP_FILE;

# execute a generic help function:
#  force the shellscript to exit if a help option is encountered.
set -e;
$ISIP/util/misc/shell_functions/isip_function_help_0.sh $*;
set +e;

# execute the plot function
#
exec $PLOT_PROGRAM $* | xmgr -source stdin > /dev/null 2>&1 &

#
# end of file
