# file: $JEIDA/src/validate/v1.0/src/proc_file_va.tcl
#
# This function goes forward or backward a variable amount of times
# using proc_file
#
# The purpose of this file is to speed up the process of going back
# through old validation files by being able to "jump" at certain
# increments
#
proc proc_file_va { jump_num } {
    

    # just in case, save the file if necessary
    #
    save_file
    
    # $jump_num > 0 means a call from the next button
    #
    if {$jump_num > 0} {
	for {set num 0} {$num < $jump_num} {incr jump_num} {
	    proc_file next
	}
    }
    
    # $jump_num < 0 means a call from the previous button
    #
    if {$jump_num < 0} {
	for {set num 0} {$num > $jump_num} {incr jump_num -1} {
	    proc_file prev
	}
    }
}
